Call Me Back module
Endpoints
Endpoints for managing configuration for Call Me Back widgets, websites and buttons
GET
/callmeback/websites Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/websites HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 6391,
"allowed_countries": "value",
"button_id": 9029,
"created_at": "2020-02-03 15:09:12",
"culture": 1,
"ddi": 9322,
"floating_icon": true,
"name": "value",
"position": 4,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/settings Returns collection of Campaign resources
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/settings HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 5002,
"allowed_countries": "value",
"button_id": 3026,
"created_at": "2023-10-20 01:12:24",
"culture": 3,
"ddi": 3030,
"floating_icon": true,
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
POST
/callmeback/settings Creates new Call Me Back settings resource
Parameters
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
POST /v1.1/voipstudio/callmeback/settings HTTP/1.1
Host: l7api.com
{
"button_id": 297,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 440,
"max_call_rate": "100.00"
}
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 1809,
"allowed_countries": "value",
"button_id": 2366,
"created_at": "2017-11-15 23:43:32",
"culture": 1,
"ddi": 5755,
"floating_icon": true,
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
GET
/callmeback/settings/{id} Returns Website resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/settings/71 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 8588,
"allowed_countries": "value",
"button_id": 6892,
"created_at": "2026-07-12 08:39:59",
"culture": 2,
"ddi": 3879,
"floating_icon": true,
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/settings/{id} Updates existing CallMeBackSetting resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
button_id integer
name string
position string
floating_icon boolean
culture string
allowed_countries undefined
show_to_allowed_countries_only boolean
welcome_screen_msg string
privacy_policy_url string
ddi_e164 integer
max_call_rate float
Float value.
Float value.
Example Request
PATCH /v1.1/voipstudio/callmeback/settings/91 HTTP/1.1
Host: l7api.com
{
"button_id": 387,
"name": "abcd",
"position": "abcd",
"floating_icon": true,
"culture": "abcd",
"allowed_countries": "abcd",
"show_to_allowed_countries_only": true,
"welcome_screen_msg": "abcd",
"privacy_policy_url": "abcd",
"ddi_e164": 549,
"max_call_rate": "100.00"
}
Responses
200 Success
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
400 Validation error
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 4850,
"allowed_countries": "value",
"button_id": 7635,
"created_at": "2016-10-12 02:43:41",
"culture": 1,
"ddi": 7915,
"floating_icon": true,
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/settings/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/settings/55 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
GET
/callmeback/cdrs Returns collection of Cdr resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/cdrs HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 2397,
"allowed_countries": "value",
"button_id": 2381,
"created_at": "2020-10-29 19:36:33",
"culture": 0,
"ddi": 6668,
"floating_icon": true,
"name": "value",
"position": 7,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/visitors Returns collection of Visitor resources assigned to CallMeBack
Parameters
No parameters
Example Request
GET /v1.1/voipstudio/callmeback/visitors HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": [
{
"id": 503,
"allowed_countries": "value",
"button_id": 2207,
"created_at": "2026-02-09 05:18:47",
"culture": 2,
"ddi": 4466,
"floating_icon": true,
"name": "value",
"position": 1,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
}
],
"total": 59
}
GET
/callmeback/buttons/{id} Returns CallMeBackButton resource for given Id
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
GET /v1.1/voipstudio/callmeback/buttons/51 HTTP/1.1 Host: l7api.com
Responses
200 Success
401 Unauthorized
403 Access denied
404 Resource not found
401 Unauthorized
403 Access denied
404 Resource not found
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7289,
"allowed_countries": "value",
"button_id": 1033,
"created_at": "2024-05-23 02:53:15",
"culture": 3,
"ddi": 5951,
"floating_icon": true,
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
PATCH
/callmeback/buttons/{id} Creates new Call Me Button resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
JSON body attributes:
name string
data_online string
data_offline string
Example Request
PATCH /v1.1/voipstudio/callmeback/buttons/40 HTTP/1.1
Host: l7api.com
{
"name": "abcd",
"data_online": "abcd",
"data_offline": "abcd"
}
Responses
200 Success
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 200 OK
Content-Type: application/json
{
"data": {
"id": 7856,
"allowed_countries": "value",
"button_id": 1526,
"created_at": "2017-07-05 15:50:08",
"culture": 3,
"ddi": 9030,
"floating_icon": true,
"name": "value",
"position": 0,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}
DELETE
/callmeback/buttons/{id} Deletes existing resource
Parameters
Endpoint URL:
{id} integerCallMeBackSetting identifier
Example Request
DELETE /v1.1/voipstudio/callmeback/buttons/89 HTTP/1.1 Host: l7api.com
Responses
204 Success
401 Unauthorized
403 Access denied
401 Unauthorized
403 Access denied
Example Response
HTTP/1.1 204 OK
POST
/callmeback/buttons Creates new CallMeBackButton resource
Parameters
Example Request
POST /v1.1/voipstudio/callmeback/buttons HTTP/1.1 Host: l7api.com
Responses
201 Created
400 Validation error
401 Unauthorized
400 Validation error
401 Unauthorized
Example Response
HTTP/1.1 201 OK
Content-Type: application/json
{
"data": {
"id": 3157,
"allowed_countries": "value",
"button_id": 41,
"created_at": "2020-05-12 10:20:44",
"culture": 0,
"ddi": 8086,
"floating_icon": true,
"name": "value",
"position": 5,
"privacy_policy_url": "value",
"show_to_allowed_countries_only": true,
"title": "value",
"welcome_screen_msg": "value"
},
"links": {}
}